# Uses of Interface
org.eclipse.birt.chart.model.attribute.DataPoint

Packages that use DataPoint
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of DataPoint in org.eclipse.birt.chart.computation

Constructors in org.eclipse.birt.chart.computation with parameters of type DataPoint
Modifier
Constructor
Description
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double[] _dSize, RunTimeContext _rtc)`
The constructor.
``
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double _dSize, RunTimeContext _rtc)`
DataPointHints constructor.

## Uses of DataPoint in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return DataPoint
Modifier and Type
Method
Description
`DataPoint`
DataPoint.`copyInstance()`
`DataPoint`
AttributeFactory.`createDataPoint()`
Returns a new object of class 'Data Point'.

## Uses of DataPoint in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement DataPoint
Modifier and Type
Class
Description
`class`
`DataPointImpl`
An implementation of the model object ' Data Point'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return DataPoint
Modifier and Type
Method
Description
`DataPoint`
DataPointImpl.`copyInstance()`
`static final DataPoint`
DataPointImpl.`create(String sPrefix, String sSuffix, String sSeparator)`
A convenience methods provided to create an initialized DataPoint instance NOTE: Manually written
`DataPoint`
AttributeFactoryImpl.`createDataPoint()`
`static final DataPoint`
DataPointImpl.`createDefault()`

## Uses of DataPoint in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return DataPoint
Modifier and Type
Method
Description
`DataPoint`
Series.`getDataPoint()`
Returns the value of the 'Data Point' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type DataPoint
Modifier and Type
Method
Description
`void`
Series.`setDataPoint(DataPoint value)`
Sets the value of the '`Data Point`' containment reference.

## Uses of DataPoint in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return DataPoint
Modifier and Type
Method
Description
`DataPoint`
SeriesImpl.`getDataPoint()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type DataPoint
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
SeriesImpl.`basicSetDataPoint(DataPoint newDataPoint, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
SeriesImpl.`setDataPoint(DataPoint newDataPoint)`